
import {baseApi} from '../conf/config.js'
function minRequest(options) {
	var action = options.action;
	var data = options.data;
	data.token = getApp().globalData.token;
	var success = options.success;
	var error = options.error;
	var fatal = options.fatal;
	var loading = options.loading != false;
	var async = options.async;
	var method = options.method==null?"GET":options.method;
	var lang = options.lang == false ? false : true;
	uni.showLoading({
		title:"加载中..."
	})
	uni.request({
		data: data,
		method: method,
		url: baseApi + '/' + action,
		success: (res) => {
			if (res.statusCode == 200) {
				success(res);
			} else {
				console.log(res.errMsg)
			}
		},
		fail: (e) => {
			error(e);
		},
		complete: (e) => {
			uni.hideLoading();
		}
	})
}

function deepClone(obj){
  var o;
  // 如果  他是对象object的话  , 因为null,object,array  也是'object';
  if (typeof obj === 'object') {
    
    // 如果  他是空的话
    if (obj === null) {
      o = null;
    }
    else {
  
      // 如果  他是数组arr的话
      if (obj instanceof Array) {
        o = [];
        for (var i = 0, len = obj.length; i < len; i++) {
          o.push(deepClone(obj[ i ]));
        }
      }
      // 如果  他是对象object的话
      else {
        o = {};
        for (var j in obj) {
          o[ j ] = deepClone(obj[ j ]);
        }
      }
      
    }
  }
  else {
    o = obj;
  }
  return o;
}

export {
  minRequest,
  deepClone
}